#
# spec file for package python-krbV
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-krbV
Version:        1.0.90
Release:        5.9
Summary:        Python extension module for Kerberos 5
License:        LGPL-2.0+
Group:          Development/Languages/Python
Url:            https://fedorahosted.org/python-krbV/
Source:         https://pypi.python.org/packages/source/p/python-krbV/python-krbV-%{version}.tar.bz2
Patch0:         0-remove_data_files.patch
BuildRequires:  krb5-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
python-krbV allows python programs to use Kerberos 5 authentication and
security. It is designed to be a thin wrapper around the krb5 C api.

%prep
%setup -q -n python-krbV-%{version}
%patch0 -p1

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog COPYING
%{python_sitearch}/*

%changelog
* Fri May 29 2015 hguo@suse.com
- New package.
  The patch 0-remove_data_files.patch removes unnecessary example and test scripts from the python package.
